### Method

# Pos InputMethod delete_surrounding_text

#### Declaration [src]

    void
    pos_input_method_delete_surrounding_text (
      PosInputMethod* self,
      guint before_length,
      guint after_length,
      gboolean commit
    )

#### Description [src]

This deletes text around the cursor using the `delete_surrounding_text` request.

#### Parameters

`before_length`

  Type: `guint`

  Number of bytes before cursor to delete.

`after_length`

  Type: `guint`

  Number of bytes after cursor to delete.

`commit`

  Type: `gboolean`

  Whether to invoke `commit` request as well.